wm withdraw .

source "$env(LUSTRE_INSTALL)/lib/tcl/utiles.tcl"
source "$env(LUSTRE_INSTALL)/lib/tcl/select-lus.tcl"

set COMMANDS(lusinfo) "lusinfo"

set PROJECT(main_type) "lus"
set PROJECT(main_file) ""
set PROJECT(main_node) ""

set version [exec simec -version]

SelectLus "Luciole launcher $version" \
      {PROJECT} {main_file} {main_node} {main_type} {}

set ext [file extension $PROJECT(main_file)]

if { $ext == ".ec" } {
	puts "$PROJECT(main_file)"
} elseif { $ext == ".lus" } {
	puts "$PROJECT(main_file) $PROJECT(main_node)"
} else {
	exit 1
}
exit
